﻿<%@ Import Namespace="Seven.Front" %>
<%@ Import Namespace="Seven.Front.Globals" %>
<%@ Import Namespace="Seven.Front.Objects" %>

<%@ Page Language="C#" MasterPageFile="Model.Master" AutoEventWireup="true" CodeBehind="ConfiguracionUsuario.aspx.cs" Inherits="Seven.Front.ConfiguracionUsuario" %>

<asp:Content ID="Content1" ContentPlaceHolderID="cpHeader" runat="server">

    <% try
       { %>

    <title><%=L.TIT("ConfiguracionUsuario") %></title>

    <script type="text/javascript">

        function SaveCFG() {
            $.ajax({
                url: 'Servicio.svc/PutConfiguracionUsuario',
                data: {
                    "IdOperador": 0
                    , "factura": $('input[name=rbFactura]:checked').val()
                    , "alertar_sobreventa": $('#cbalertar_sobreventa:checked').val()
                    , "calcular_sobreventa_cupos": $('#cbcalcular_sobreventa_cupos:checked').val()
                    , "permitir_sobreventa": $('#cbpermitir_sobreventa:checked').val()
                    , "permitir_doblepreasignacion": $('#cbpermitir_doblepreasignacion:checked').val()
                    , "impresora": $('#txtImpresora').val()
                    , "impresora_cheq": $('#txtImpresoraCheq').val()
                    , "impresora_fact": $('#txtImpresoraFact').val()
                    , "impresora_rec": $('#txtImpresoraRec').val()
                    , "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>", "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                    , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>", "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>"
                    , "LangCode": "<%=LangCode %>"
                },
                dataType: "json",
                type: "GET",
                contentType: "application/json; charset=utf-8",
                beforeSend: function () {
                    $('#dlgCargando').dialog('open');
                },
                success: function (json) {
                    var res = json.d;
                    if (res > 0 || res < 0) {
                        window.location.href = "ConfiguracionUsuario.aspx?m=3";
                    }
                    else {
                        $('#dlgCargando').dialog('close');
                        $('#dlgInformation').html(json.d);
                        $('#dlgInformation').dialog('open');
                    }
                }
            });
        }

        function SetImpresora() {
            $('#txtImpresora').val($('#cbImpresora').val());
        }

        function SetImpresoraCheq() {
            $('#txtImpresoraCheq').val($('#cbImpresoraCheq').val());
        }

        function SetImpresoraFact() {
            $('#txtImpresoraFact').val($('#cbImpresoraFact').val());
        }

        function SetImpresoraRec() {
            $('#txtImpresoraRec').val($('#cbImpresoraRec').val());
        }
        
    </script>

    <script type="text/javascript">

        $(document).ready(function () {

            $("#dlgCargando").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 100,
                width: 270,
                modal: true,
                dialogClass: 'no-close'
            });

            $("#dlgInformation").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 167,
                width: 500,
                modal: true
            });

            $("#EnlaceMaestro").focus();

            $("#SevenMenu").accordion("option", "active", 0);

            $('#cbImpresora').val($('#txtImpresora').val());
            $('#cbImpresoraCheq').val($('#txtImpresoraCheq').val());
            $('#cbImpresoraFact').val($('#txtImpresoraFact').val());
            $('#cbImpresoraRec').val($('#txtImpresoraRec').val());

            $('#ConfigUsuarioTabs').tabs();

        });
    </script>

    <% }
       catch { } %>
</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="cpPrincipal" runat="server">

    <% try
       { %>

    <div id="SevenBreadcrumb" class="ui-state-default">
        <table style="width: 100%; white-space: nowrap;">
            <tr>
                <td>
                    <div class="SevenEnlaces" onclick="window.location.href='Menu.aspx#M1';" style="cursor: pointer;">
                        <table>
                            <tr>
                                <td>
                                    <img src="img/application-icon-large.png" />
                                </td>
                                <td>
                                    <%=L.LBL("LblGENMenuTactil") %>
                                </td>
                            </tr>
                        </table>
                    </div>
                </td>
                <td>&nbsp;</td>
                <td>
                    <a href="Inicio.aspx"><%=L.LBL("LblGENInicio") %></a>
                    <img src="img/arrow.png" alt="" />
                    <a href="ConfiguracionUsuario.aspx"><%=L.TIT("ConfiguracionUsuario") %></a>
                </td>
                <td style="width: 100%;"></td>
                <td>
                    <%=L.LBL("LblGENLanguage") %>
                </td>
                <td>
                    <!-- #include file="LanguageCombo.html" -->
                </td>
            </tr>
        </table>
    </div>

    <div id="SevenPrincipal">

        <div id="SevenMedio">

            <div id="SevenInterno" style="width: 500px;">

                <div id="dlgCargando" title="<%=L.LBL("LblGENLoading") %>" style="text-align: center; padding-top: 25px">
                    <img src="img/cargando2.gif" alt="<%=L.LBL("LblGENLoading") %>" />
                </div>

                <div id="dlgInformation" title="<%=L.LBL("LblGENInformation") %>" style="text-align: center; padding-top: 25px">
                </div>

                <table>
                    <tr>
                        <td>
                            <span class="SevenTitulo"><%=L.TIT("ConfiguracionUsuario") %></span>
                        </td>
                        <td>&nbsp;&nbsp;&nbsp;</td>
                        <%--<td>
                            <div class="SevenEnlaces">
                                <table>
                                    <tr>
                                        <td>
                                            <a href="Ayuda/HLPConfiguracionUsuario.aspx" id="A1" ><img src="img/question.png" /> <%=L.LBL("LblGENHelp") %></a>
                                        </td>
                                    </tr>
                                </table>
                            </div>
                        </td>--%>
                    </tr>
                </table>

                <% 
           if (CorrectoIns)
           {    
                %>

                <p class="SevenMsgExito"><%=L.LBL("LblGENMSG_SavedData") %></p>

                <%  } %>

                <% 
           if (CorrectoMod)
           {    
                %>

                <p class="SevenMsgExito"><%=L.LBL("LblGENMSG_UpdatedData") %></p>

                <%  } %>

                <% 
           if (CorrectoEli)
           {    
                %>

                <p class="SevenMsgExito"><%=L.LBL("LblGENMSG_DeletedData") %></p>

                <%  } %>

                <% 
           if (!String.IsNullOrEmpty(ErrorMsg))
           {    
                %>

                <p class="SevenMsgError"><%=ErrorMsg %></p>

                <%  } %>



                <div id="Formulario">

                    <br />

                    <div id="ConfigUsuarioTabs" style="padding: 0px;">
                        <ul>
                            <li>
                                <a href="#Gen">
                                    <table>
                                        <tr>
                                            <td><img src="img/gear.png" /></td>
                                            <td><span style="font-size: 7pt;"><%=L.LBL("LblGENGeneral") %></span></td>
                                        </tr>
                                    </table>
                                </a>
                            </li>
                            <li>
                                <a href="#Impresora">
                                    <table>
                                        <tr>
                                            <td><img src="img/printer.png" /></td>
                                            <td><span style="font-size: 7pt;"><%=L.LBL("LblGENPrinter") %></span></td>
                                        </tr>
                                    </table>
                                </a>
                            </li>
                        </ul>

                        <div id="Gen" style="height: 330px;">

                            <br /><br /><br /><br /><br />

                            <table style="width: 100%;">
                                <tr>
                                    <td colspan="2">
                                        <fieldset style="width: 30%;">
                                            <b><%=L.LBL("LblGENPrint") %></b>:
                                            <input type="radio" name="rbFactura" value="1" <%=elemento.factura ? "checked=\"checked\"" : "" %> /><b><%=L.LBL("LblGENFactura") %></b>
                                            <input type="radio" name="rbFactura" value="0" <%=!elemento.factura ? "checked=\"checked\"" : "" %> /><b><%=L.LBL("LblGENRecibo") %></b>
                                        </fieldset>
                                        <br />
                                        <br />
                                    </td>
                                </tr>
                                <tr>
                                    <td>
                                        <input type="checkbox" id="cbalertar_sobreventa" value="1" <%=elemento.alertar_sobreventa ? "checked=\"checked\"" : "" %> />
                                    </td>
                                    <td>
                                        <%=L.LBL("LblCFGUSRAlertarSobreventa") %>
                                    </td>
                                </tr>
                                <tr>
                                    <td>
                                        <input type="checkbox" id="cbcalcular_sobreventa_cupos" value="1" <%=elemento.calcular_sobreventa_cupos ? "checked=\"checked\"" : "" %> />
                                    </td>
                                    <td>
                                        <%=L.LBL("LblCFGUSRCalcularSobreventa") %>
                                    </td>
                                </tr>
                                <tr>
                                    <td>
                                        <input type="checkbox" id="cbpermitir_sobreventa" value="1" <%=elemento.permitir_sobreventa ? "checked=\"checked\"" : "" %> />
                                    </td>
                                    <td>
                                        <%=L.LBL("LblCFGUSRPermitirSobreventa") %>
                                    </td>
                                </tr>
                                <tr>
                                    <td>
                                        <input type="checkbox" id="cbpermitir_doblepreasignacion" value="1" <%=elemento.permitir_doblepreasignacion ? "checked=\"checked\"" : "" %> disabled="disabled" />
                                    </td>
                                    <td>
                                        <%=L.LBL("LblCFGUSRPermitirDoblePreasig") %>
                                    </td>
                                </tr>
                            </table>

                        </div>

                        <div id="Impresora" style="height: 330px;">

                            <fieldset>
                                <legend><b><%=L.LBL("LblGENPrinter") %> - <%=L.LBL("LblGENDocumento") %></b></legend>
                                <table>
                                    <tr>
                                        <td><%=L.LBL("LblGENActual") %>:</td>
                                        <td><input type="text" id="txtImpresora" value="<%=elemento.impresora %>" style="width: 200px;" /><br /></td>
                                    </tr>
                                    <tr>
                                        <td><%=L.LBL("LblGENDisponibles") %>:</td>
                                        <td><%=cbImpresora %></td>
                                    </tr>
                                </table>
                            </fieldset>

                            <br />

                            <fieldset>
                                <legend><b><%=L.LBL("LblGENPrinter") %> - <%=L.LBL("LblGENCheque") %></b></legend>
                                <table>
                                    <tr>
                                        <td><%=L.LBL("LblGENActual") %>:</td>
                                        <td><input type="text" id="txtImpresoraCheq" value="<%=elemento.impresora_cheq %>" style="width: 200px;" /><br /></td>
                                    </tr>
                                    <tr>
                                        <td><%=L.LBL("LblGENDisponibles") %>:</td>
                                        <td><%=cbImpresoraCheq %></td>
                                    </tr>
                                </table>
                            </fieldset>

                            <br />

                            <fieldset>
                                <legend><b><%=L.LBL("LblGENPrinter") %> - <%=L.LBL("LblGENFactura") %></b></legend>
                                <table>
                                    <tr>
                                        <td><%=L.LBL("LblGENActual") %>:</td>
                                        <td><input type="text" id="txtImpresoraFact" value="<%=elemento.impresora_fact %>" style="width: 200px;" /><br /></td>
                                    </tr>
                                    <tr>
                                        <td><%=L.LBL("LblGENDisponibles") %>:</td>
                                        <td><%=cbImpresoraFact %></td>
                                    </tr>
                                </table>
                            </fieldset>

                            <br />

                            <fieldset>
                                <legend><b><%=L.LBL("LblGENPrinter") %> - <%=L.LBL("LblGENRecibo") %></b></legend>
                                <table>
                                    <tr>
                                        <td><%=L.LBL("LblGENActual") %>:</td>
                                        <td><input type="text" id="txtImpresoraRec" value="<%=elemento.impresora_rec %>" style="width: 200px;" /><br /></td>
                                    </tr>
                                    <tr>
                                        <td><%=L.LBL("LblGENDisponibles") %>:</td>
                                        <td><%=cbImpresoraRec %></td>
                                    </tr>
                                </table>
                            </fieldset>


                        </div>

                    </div>

                    <table style="width: 100%;">
                        <tr>
                            <td colspan="4">

                                <br />

                                <table style="width: 100%;">
                                    <tr>
                                        <td style="width: 100%;"></td>
                                        <td>
                                            <button type="button" onclick="SaveCFG();">
                                                <table>
                                                    <tr>
                                                        <td>
                                                            <img src="img/disk.png" alt="<%=L.LBL("LblGENSave") %>" />
                                                        </td>
                                                        <td><%=L.LBL("LblGENSave") %></td>
                                                    </tr>
                                                </table>
                                            </button>
                                        </td>
                                        <td>
                                            <button type="button" onclick="window.location.href='ConfiguracionUsuario.aspx'">
                                                <table>
                                                    <tr>
                                                        <td>
                                                            <img src="img/arrow-return-180-left.png" alt="<%=L.LBL("LblGENCancel") %>" /></td>
                                                        <td><%=L.LBL("LblGENCancel") %></td>
                                                    </tr>
                                                </table>
                                            </button>
                                        </td>
                                        <td>
                                            <button type="button" onclick="window.location.href='Inicio.aspx'">
                                                <table>
                                                    <tr>
                                                        <td>
                                                            <img src="img/cross.png" alt="<%=L.LBL("LblGENExit") %>" /></td>
                                                        <td><%=L.LBL("LblGENExit") %></td>
                                                    </tr>
                                                </table>
                                            </button>
                                        </td>
                                    </tr>
                                </table>
                            </td>
                        </tr>
                    </table>

                </div>

            </div>

        </div>

    </div>

    <% }
       catch { } %>
</asp:Content>

