﻿<% @Import Namespace="Seven.Front" %>
<% @Import Namespace="Seven.Front.Business" %>
<% @Import Namespace="Seven.Front.Globals" %>
<% @Import Namespace="Seven.Front.Objects" %>
<%@ Page Language="C#" MasterPageFile="Model.Master" AutoEventWireup="true" CodeBehind="PlazosPrepagos.aspx.cs" Inherits="Seven.Front.PlazosPrepagos" %>

<asp:Content ID="Content1" ContentPlaceHolderID="cpHeader" runat="server">

    <% try{ %>

    <title><%=L.TIT("PlazosPrepagos") %></title>

    <% Seven.Front.Objects.Cache c = Seven.Front.Objects.MainCache.GetCache(int.Parse(Enigma.Desencriptar(Request.Cookies[Parametros.COOKIE_USR].Value))); %>

    <script type="text/javascript">

        function CargarBaseDatos()
        {
            $('#dlgCargando').dialog('open');
            window.location.href='PlazosPrepagos.aspx?op=' + $('#cbDatosFront').val();
        }

        function Ver()
        {
            window.open('Informe.aspx?r=19'
                + '&s=' + $('#txtInicio').val()
                + '&f=' + $('#txtFin').val()
                + '&m=' + $('input[name=rbModo]:checked').val()
                + '&e=' + $('#cbEmpresa').val()
                + '&z=' + $('#cbMercado').val()
                + '&t=' + $('#cbContrato').val()
                + '&ip=' + $('#cbInclPend:checked').val()
                + '&ih=' + $('#cbInclPendHist:checked').val()
            , '_blank');
        }
    
    </script>

    <script type="text/javascript">

        $(document).ready(function () {

            $("#SevenMenu").accordion("option", "active", 4);

            $("#EnlaceMaestro").focus();

            $('#cbEmpresa').val(<%=c.Front_id_agen %>);
            $('#cbMercado').val(<%=c.Front_id_merc %>);
            $('#cbContrato').val(<%=c.Front_id_cont %>);

        });

    </script>

    <style type="text/css">
        .NoScroll div
        {
            overflow: hidden;    
        }
    </style>
        
    <% } catch { } %>

</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="cpPrincipal" runat="server">

    <% try{ %>

                <% Seven.Front.Objects.Cache c = Seven.Front.Objects.MainCache.GetCache(int.Parse(Enigma.Desencriptar(Request.Cookies[Parametros.COOKIE_USR].Value))); %>
            
                <div id="SevenBreadcrumb" class="ui-state-default">
                    <table style="width: 100%; white-space: nowrap;">
                        <tr>
                            <td>
                                <div class="SevenEnlaces" onclick="window.location.href='Menu.aspx#M5';" style="cursor: pointer;">
                                    <table>
                                        <tr>
                                            <td>
                                                <img src="img/application-icon-large.png" />
                                            </td>
                                            <td>
                                                <%=L.LBL("LblGENMenuTactil") %>
                                            </td>
                                        </tr>
                                    </table>
                                </div>
                            </td>
                            <td>&nbsp;</td>
                            <td>
                                <a href="Inicio.aspx"><%=L.LBL("LblGENInicio") %></a>
                                <img src="img/arrow.png" alt="" />
                                <a href="#"><%=L.TIT("PlazosPrepagos") %></a>
                            </td>
                            <td style="width: 100%;"></td>
                            <td>
                                <%=L.LBL("LblGENLanguage") %>
                            </td>
                            <td>
                                <!-- #include file="LanguageCombo.html" -->
                            </td>
                        </tr>
                    </table>
                </div>
            
                <div id="SevenPrincipal">
                
                    <div id="SevenMedio">
                    
                        <div id="SevenInterno" style="width: 450px; height: 200px;">

                            <table>
                                <tr>
                                    <td>
                                        <span class="SevenTitulo"><%=L.TIT("PlazosPrepagos") %></span>
                                    </td>
                                    <td>&nbsp;&nbsp;&nbsp;</td>
                                    <%--<td>
                                        <div class="SevenEnlaces">
                                            <table>
                                                <tr>
                                                    <td>
                                                        <a href="Ayuda/HLPInformes.aspx" id="A1" ><img src="img/question.png" /> Ayuda</a>
                                                    </td>
                                                </tr>
                                            </table>
                                        </div>
                                    </td>--%>
                                </tr>
                            </table>

                            <br />

                            <fieldset>
                            
                                <table>
                                    <tr>
                                        <td><%=L.LBL("LblGENStart") %>: </td>
                                        <td>
                                            <input type="text" id="txtInicio" name="txtInicio" class="eligeFecha" value="<% Response.Write(String.Format("{0:d}", c.FrontInicio)); %>" />
                                        </td>
                                        <td><%=L.LBL("LblGENEnd") %>: </td>
                                        <td>
                                            <input type="text" id="txtFin" name="txtFin" class="eligeFecha" value="<% Response.Write(String.Format("{0:d}", c.FrontFin)); %>" />
                                        </td>
                                    </tr>
                                    <tr>
                                        <td colspan="3">
                                            <table>
                                                <tr>
                                                    <td>
                                                        <input type="checkbox" id="cbInclPend" value="1" />
                                                    </td>
                                                    <td>
                                                        <b><%=L.LBL("LblFDKPPIncluirPend") %></b>
                                                    </td>
                                                </tr>
                                            </table>
                                        </td>
                                        <td>
                                            <table>
                                                <tr>
                                                    <td>
                                                        <input type="checkbox" id="cbInclPendHist" value="1" />
                                                    </td>
                                                    <td>
                                                        <%=L.LBL("LblFDKPPIncluirPendHist") %>
                                                    </td>
                                                </tr>
                                            </table>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td><%=L.LBL("LblGENCompany") %>: </td>
                                        <td>
                                            <%=cbEmpresa %>
                                        </td>
                                        <td><%=L.LBL("LblFDKSMercado") %>: </td>
                                        <td>
                                            <%=cbMercado %>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td><%=L.LBL("LblGENTarifa") %>: </td>
                                        <td>
                                            <%=cbContrato %>
                                        </td>
                                    </tr>
                                </table>
                                <table>
                                    <tr>
                                        <td><%=L.LBL("LblGENVerPor") %>: </td>
                                        <td>
                                            <input type="radio" name="rbModo" value="0" <%=c.FrontModoPlazosPrep == 0 ? "checked=\"checked\"" : "" %> /><%=L.LBL("LblFDKPPFechaPlazo") %>
                                            <input type="radio" name="rbModo" value="3" <%=c.FrontModoPlazosPrep == 3 ? "checked=\"checked\"" : "" %> /><%=L.LBL("LblFDKPPUltPlazo") %><br />
                                            <input type="radio" name="rbModo" value="1" <%=c.FrontModoPlazosPrep == 1 ? "checked=\"checked\"" : "" %> /><%=L.LBL("LblFDKPPFechaEnt") %>
                                            <input type="radio" name="rbModo" value="2" <%=c.FrontModoPlazosPrep == 2 ? "checked=\"checked\"" : "" %> /><%=L.LBL("LblFDKPPFechaSal") %>
                                        </td>
                                        <td>
                                            <table style="width: 100%;">
                                                <tr>
                                                    <td style="width: 100%;"></td>
                                                    <td>
                                                        <button type="button" onclick="Ver();" >
                                                            <table><tr><td><img src="img/magnifier.png" alt="Ver" /></td><td><%=L.LBL("LblGENVer") %></td></tr></table>
                                                        </button>
                                                    </td>
                                                </tr>
                                            </table>
                                        </td>
                                        <td style="width: 100%;"></td>
                                    </tr>
                                </table>

                            </fieldset>

                        </div>
                    
                    </div>
                
                </div>

    <% } catch { } %>

</asp:Content>
