﻿<% @Import Namespace="Seven.Front" %>
<% @Import Namespace="Seven.Front.Globals" %>
<% @Import Namespace="Seven.Front.Objects" %>
<%@ Page Language="C#" MasterPageFile="Model.Master" AutoEventWireup="true" CodeBehind="PronosticoGeneral.aspx.cs" Inherits="Seven.Front.PronosticoGeneral" %>

<%@ Register Assembly="Microsoft.ReportViewer.WebForms, Version=11.0.0.0, Culture=neutral, PublicKeyToken=89845dcd8080cc91"
    Namespace="Microsoft.Reporting.WebForms" TagPrefix="rsweb" %>

<asp:Content ID="Content1" ContentPlaceHolderID="cpHeader" runat="server">

    <title><%=L.TIT("PronosticoGeneral") %> [4.2]</title>
    
    <script type="text/javascript">

        function Ver()
        {
            window.location.href = "PronosticoGeneral.aspx?s=" + $('#txtFecIni').val() +
                "&f=" + $('#txtFecFin').val() +
                "&q=" + $('#cbCupos:checked').val() +
                "&r=" + $('#cbRelease:checked').val();
        }

    </script>

    <script type="text/javascript">

        $(document).ready(function () {

            $("#SevenMenu").accordion("option", "active", 4);

            $("#EnlaceMaestro").focus();

            $(".eligeFechaHotel").datepicker({
                showOn: "button",
                buttonImage: "css/Themes/Fall/calendar.png",
                buttonImageOnly: true,
                firstDay: 0,
                changeYear: true, 
                changeMonth: true,
                minDate: new Date(<%=fecha_hotelera.Year %>, <%=fecha_hotelera.Month %> - 1, <%=fecha_hotelera.Day %>)
            });

        });

    </script>

</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="cpPrincipal" runat="server">

    <div id="SevenBreadcrumb" class="ui-state-default">
        <table style="width: 100%; white-space: nowrap;">
            <tr>
                <td>
                    <div class="SevenEnlaces" onclick="window.location.href='Menu.aspx#M5';" style="cursor: pointer;">
                        <table>
                            <tr>
                                <td>
                                    <img src="img/application-icon-large.png" />
                                </td>
                                <td>
                                    <%=L.LBL("LblGENMenuTactil") %>
                                </td>
                            </tr>
                        </table>
                    </div>
                </td>
                <td>&nbsp;</td>
                <td>
                    <a href="../Inicio.aspx"><%=L.LBL("LblGENInicio") %></a>
                    <img src="../img/arrow.png" alt="" />
                    <a href="#"><%=L.TIT("PronosticoGeneral") %> [4.2]</a>
                </td>
                <td style="width: 100%;"></td>
                <td>
                    <%=L.LBL("LblGENLanguage") %>
                </td>
                <td>
                    <!-- #include file="LanguageCombo.html" -->
                </td>
            </tr>
        </table>
        
    </div>
            
    <div id="SevenPrincipal">
                
        <div id="SevenMedio">
                    
            <div id="SevenInterno" style="width: 1000px; height: 850px;">

                <br />

                <table>
                    <tr>
                        <td>
                            <span class="SevenTitulo"><%=L.TIT("PronosticoGeneral") %> [4.2]</span>
                        </td>
                        <td>&nbsp;&nbsp;&nbsp;</td>
                        <td>
                            <div class="SevenEnlaces">
                                <table>
                                    <tr>
                                        <td>
                                            <a href="#" onclick="window.open('http://mysevenmanuales.jimdo.com/front-desk/4-2-pron%C3%B3stico-general/', '_blank');" id="A1" >
                                                <img src="../img/question.png" /> <%=L.LBL("LblGENHelp") %>
                                            </a>
                                        </td>
                                    </tr>
                                </table>
                            </div>
                        </td>
                    </tr>
                </table>

                <br />

                <table>
                    <tr>
                        <td>
                            <%=L.LBL("LblGENStart") %>:
                        </td>
                        <td>
                            <input type="text" id="txtFecIni" value="<%=String.Format("{0:d}", FecIni) %>" class="eligeFechaHotel" />
                        </td>
                        <td>
                            <%=L.LBL("LblGENEnd") %>:
                        </td>
                        <td>
                            <input type="text" id="txtFecFin" value="<%=String.Format("{0:d}", FecFin) %>" class="eligeFechaHotel" />
                        </td>
                        <td>
                            <input type="checkbox" id="cbCupos" value="1" <%=Cupos == 1 ? "checked=\"checked\"" : "" %> /> 
                        </td>
                        <td>
                            <%=L.LBL("LblFDKPRONRespetarCupos") %>
                        </td>
                        <td>
                            <input type="checkbox" id="cbRelease" value="1" <%=Cupos == 1 ? (Release == 1 ? "checked=\"checked\"" : "") : "" %> /> 
                        </td>
                        <td>
                            <%=L.LBL("LblFDKPRONRespetarRelease") %>
                        </td>
                        <td>
                            <button type="button" onclick="Ver();">
                                <table>
                                    <tr>
                                        <td>
                                            <img src="img/magnifier16.png" alt="" />
                                        </td>
                                        <td>
                                            <%=L.LBL("LblGENVer") %>
                                        </td>
                                    </tr>
                                </table>
                            </button>
                        </td>
                    </tr>
                </table>

                <br />

                <table>
                    <tr>
                        <td style="background-color: #FFFFFF">
                            <asp:ScriptManager ID="ScriptManager1" runat="server">
                            </asp:ScriptManager>
                            <rsweb:ReportViewer ID="rpvReporte" runat="server" Font-Names="Verdana" 
                                Font-Size="8pt" InteractiveDeviceInfos="(Colección)" 
                                WaitMessageFont-Names="Verdana" WaitMessageFont-Size="14pt" Width="1000px" Height="700px">
                                
                            </rsweb:ReportViewer>
                        </td>
                    </tr>
                </table> 
            </div>
                    
        </div>
                
    </div>

</asp:Content>
